[SciPy-user] scipy 0.6 build error

Olli Sipilä olli.sipila@helsinki...
Sat Oct 18 07:06:41 CDT 2008


I'm having a problem installing scipy on OS X Tiger (10.4.11). To be  
more specific, I'm trying to install the package manually according to  
the instructions on the scipy.org webpage; the building process goes  
smoothly until I get the following error message:

compile options: '-DNO_ATLAS_INFO=3 -DUSE_VENDOR_BLAS=1  
-I/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/numpy/core/include -I/Library/Frameworks/Python.framework/Versions/2.6/include/python2.6  
-c'
extra options: '-faltivec'
gcc: scipy/linsolve/_superluobject.c
In file included from scipy/linsolve/_superluobject.h:8,
                  from scipy/linsolve/_superluobject.c:5:
scipy/linsolve/SuperLU/SRC/scomplex.h:60: error: conflicting types for  
'_Py_c_abs'
/Library/Frameworks/Python.framework/Versions/2.6/include/python2.6/complexobject.h:30: error: previous declaration of '_Py_c_abs' was  
here
In file included from scipy/linsolve/_superluobject.h:8,
                  from scipy/linsolve/_superluobject.c:5:
scipy/linsolve/SuperLU/SRC/scomplex.h:60: error: conflicting types for  
'_Py_c_abs'
/Library/Frameworks/Python.framework/Versions/2.6/include/python2.6/complexobject.h:30: error: previous declaration of '_Py_c_abs' was  
here
lipo: can't figure out the architecture type of: /var/tmp//ccFsb10y.out
In file included from scipy/linsolve/_superluobject.h:8,
                  from scipy/linsolve/_superluobject.c:5:
scipy/linsolve/SuperLU/SRC/scomplex.h:60: error: conflicting types for  
'_Py_c_abs'
/Library/Frameworks/Python.framework/Versions/2.6/include/python2.6/complexobject.h:30: error: previous declaration of '_Py_c_abs' was  
here
In file included from scipy/linsolve/_superluobject.h:8,
                  from scipy/linsolve/_superluobject.c:5:
scipy/linsolve/SuperLU/SRC/scomplex.h:60: error: conflicting types for  
'_Py_c_abs'
/Library/Frameworks/Python.framework/Versions/2.6/include/python2.6/complexobject.h:30: error: previous declaration of '_Py_c_abs' was  
here
lipo: can't figure out the architecture type of: /var/tmp//ccFsb10y.out
error: Command "gcc -arch ppc -arch i386 -isysroot  
/Developer/SDKs/MacOSX10.4u.sdk -fno-strict-aliasing -fno-common  
-dynamic -DNDEBUG -g -O3 -DNO_ATLAS_INFO=3 -DUSE_VENDOR_BLAS=1  
-I/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/numpy/core/include -I/Library/Frameworks/Python.framework/Versions/2.6/include/python2.6 -c scipy/linsolve/_superluobject.c -o build/temp.macosx-10.4-fat-2.6/scipy/linsolve/_superluobject.o -faltivec" failed with exit status  
1

If it is indeed the -faltivec option that is causing this error, is  
there any way to disable it? My configuration at the moment is
MAC OS X Tiger (10.4.11)
gcc version 4.0.1
gfortran version 4.2.3 (obtained from the link at scipy.org)

The version of scipy I'm trying to build is 0.6. If someone has any  
thoughts on how to fix this, it would be very much appreciated.

- Olli Sipilä



More information about the SciPy-user mailing list